// Rectangle.h
//
// ICS 65 Fall 2012
// Code Example
//
// Declares a Rectangle class that inherits from Shape.  Everything interesting
// here is explained in the comments in Circle.h.

#ifndef RECTANGLE_H
#define RECTANGLE_H

#include "Shape.h"



class Rectangle : public Shape
{
public:
	Rectangle(double width, double height)
		: width(width), height(height)
	{
	}


	virtual double area() const
	{
		return width * height;
	}


private:
	double width;
	double height;
};



#endif // RECTANGLE_H
